Skip to main content
POST
Apply a reviewed fleet improvement

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Headers

If-Match
string
required

Current setup tag

Idempotency-Key
string
required

Required UUIDv7 key

Path Parameters

workspace_id
string
required

UUIDv7 of the workspace.

fleet_id
string
required

UUIDv7 of the fleet.

Body

application/json

One current idle improvement candidate and its contextual human review.

draft_candidate_id
string
required

Creator-owned immutable candidate UUIDv7.

review_digest
string
required

Fresh contextual review digest.

Response

Accepted setup revision

Accepted setup identity remains stable when its operation is replayed.

etag
string
required

Current fleet name/status tag.

fleet_id
string
required

Target fleet UUIDv7.

review_digest
string
required

Human review accepted for this operation.

schedules
object[]
required

Actual current inherited and independent schedule observations.

setup_etag
string
required

Strong accepted setup tag.

setup_revision
string
required

Decimal accepted setup revision.